QT -= gui
QT += core network

TEMPLATE = lib
DEFINES += MQTTCLIENT_LIBRARY

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += ../../include

HEADERS += \
    MQTTClient.h

QMQTT_DIR =$$PWD/../../thirdparty/qmqtt

LIBS += -L$${QMQTT_DIR}/lib -lQt5Qmqtt
INCLUDEPATH += $${QMQTT_DIR}/include

SOURCES += \
    MQTTClient.cpp


HEADERS += \
    MQTTClient_global.h


# Default rules for deployment.
unix {
    target.path = /usr/lib
}else{
    DESTDIR = $$PWD/../../bin/plugins
}
!isEmpty(target.path): INSTALLS += target
